Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs	(revision 252)
@@ -68,24 +68,25 @@
         private string CreateSelectSQL()
         {
             // SQL作成
-            string strcmd = "SELECT";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
 
-            strcmd += "  ConstructionCode";             // 工事コード
-            strcmd += " ,ChangeNo";	                    // 変更番号
-            strcmd += " ,DATE_FORMAT(ChangeDate, '%Y/%m/%d')";	// 変更日
-            strcmd += " ,ChangePersonCode";             // 変更者コード
-            strcmd += " ,ChangePersonName";             // 変更者名
-            strcmd += " ,BeforeValue";                  // 変更前税抜受注金額
-            strcmd += " ,BeforeValueInTax";             // 　〃　税込受注金額
-            strcmd += " ,AfterValue";                   // 変更後税抜受注金額
-            strcmd += " ,AfterValueInTax";              // 　〃　税込受注金額
-            strcmd += " ,ChangeComment";                // 変更理由
+            strcmd.Append("  ConstructionCode");             // 工事コード
+            strcmd.Append(" ,ChangeNo");	                    // 変更番号
+            strcmd.Append(" ,DATE_FORMAT(ChangeDate, '%Y/%m/%d')");	// 変更日
+            strcmd.Append(" ,ChangePersonCode");             // 変更者コード
+            strcmd.Append(" ,ChangePersonName");             // 変更者名
+            strcmd.Append(" ,BeforeValue");                  // 変更前税抜受注金額
+            strcmd.Append(" ,BeforeValueInTax");             // 　〃　税込受注金額
+            strcmd.Append(" ,AfterValue");                   // 変更後税抜受注金額
+            strcmd.Append(" ,AfterValueInTax");              // 　〃　税込受注金額
+            strcmd.Append(" ,ChangeComment");                // 変更理由
 
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM OrdersPriceData";
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM OrdersPriceData");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -93,16 +94,17 @@
         public bool SelectAction(string AddSQLString, ref List<OrdersPriceData> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -116,7 +118,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -126,15 +128,16 @@
         public bool SelectAction(string AddSQLString, ref OrdersPriceData data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -148,7 +151,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -162,46 +165,46 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(OrdersPriceData work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO OrdersPriceData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO OrdersPriceData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", work.ConstructionCode);                    // 工事コード
+                strcmd.AppendFormat("  {0}", work.ConstructionCode);                    // 工事コード
 
-                strcmd += string.Format(", {0}", work.ChangeNo);	                        // 変更番号
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                strcmd.AppendFormat(", {0}", work.ChangeNo);	                        // 変更番号
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.ChangeDate.ToShortDateString());	    // 変更日
-                strcmd += string.Format(", {0}", work.ChangePersonCode);                    // 変更者コード
-                strcmd += string.Format(",'{0}'", work.ChangePersonName);                   // 変更者名
+                strcmd.AppendFormat(", {0}", work.ChangePersonCode);                    // 変更者コード
+                strcmd.AppendFormat(",'{0}'", work.ChangePersonName);                   // 変更者名
                 
-                strcmd += string.Format(", {0}", work.BeforeValue);                         // 変更前税抜受注金額
-                strcmd += string.Format(", {0}", work.BeforeValueInTax);                    // 　〃　税込受注金額
-                strcmd += string.Format(", {0}", work.AfterValue);                          // 変更後税抜受注金額
-                strcmd += string.Format(", {0}", work.AfterValueInTax);                     // 　〃　税込受注金額
+                strcmd.AppendFormat(", {0}", work.BeforeValue);                         // 変更前税抜受注金額
+                strcmd.AppendFormat(", {0}", work.BeforeValueInTax);                    // 　〃　税込受注金額
+                strcmd.AppendFormat(", {0}", work.AfterValue);                          // 変更後税抜受注金額
+                strcmd.AppendFormat(", {0}", work.AfterValueInTax);                     // 　〃　税込受注金額
 
-                strcmd += string.Format(",'{0}'", work.ChangeComment);                      // 変更理由
+                strcmd.AppendFormat(",'{0}'", work.ChangeComment);                      // 変更理由
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -210,55 +213,55 @@
         #region 複数追加処理
         public bool InsertAction(List<OrdersPriceData> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO OrdersPriceData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO OrdersPriceData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (OrdersPriceData work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.ConstructionCode);                    // 工事コード
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);                    // 工事コード
 
-                    strcmd += string.Format(", {0}", work.ChangeNo);	                        // 変更番号
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                    strcmd.AppendFormat(", {0}", work.ChangeNo);	                        // 変更番号
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                     , work.ChangeDate.ToShortDateString());	    // 変更日
-                    strcmd += string.Format(", {0}", work.ChangePersonCode);                    // 変更者コード
-                    strcmd += string.Format(",'{0}'", work.ChangePersonName);                   // 変更者名
+                    strcmd.AppendFormat(", {0}", work.ChangePersonCode);                    // 変更者コード
+                    strcmd.AppendFormat(",'{0}'", work.ChangePersonName);                   // 変更者名
 
-                    strcmd += string.Format(", {0}", work.BeforeValue);                         // 変更前税抜受注金額
-                    strcmd += string.Format(", {0}", work.BeforeValueInTax);                    // 　〃　税込受注金額
-                    strcmd += string.Format(", {0}", work.AfterValue);                          // 変更後税抜受注金額
-                    strcmd += string.Format(", {0}", work.AfterValueInTax);                     // 　〃　税込受注金額
+                    strcmd.AppendFormat(", {0}", work.BeforeValue);                         // 変更前税抜受注金額
+                    strcmd.AppendFormat(", {0}", work.BeforeValueInTax);                    // 　〃　税込受注金額
+                    strcmd.AppendFormat(", {0}", work.AfterValue);                          // 変更後税抜受注金額
+                    strcmd.AppendFormat(", {0}", work.AfterValueInTax);                     // 　〃　税込受注金額
 
-                    strcmd += string.Format(",'{0}'", work.ChangeComment);                      // 変更理由
+                    strcmd.AppendFormat(",'{0}'", work.ChangeComment);                      // 変更理由
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -273,39 +276,39 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, OrdersPriceData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE OrdersPriceData";
+                strcmd.Append("UPDATE OrdersPriceData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);                  // 工事コード
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);                  // 工事コード
 
-                strcmd += string.Format(",ChangeNo = {0}", data.ChangeNo);	                                // 変更番号
-                strcmd += string.Format(",ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d')"
+                strcmd.AppendFormat(",ChangeNo = {0}", data.ChangeNo);	                                // 変更番号
+                strcmd.AppendFormat(",ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ChangeDate.ToShortDateString());	                            // 変更日
-                strcmd += string.Format(",ChangePersonCode = {0}", data.ChangePersonCode);                  // 変更者コード
-                strcmd += string.Format(",ChangePersonName = '{0}'", data.ChangePersonName);                // 変更者名
+                strcmd.AppendFormat(",ChangePersonCode = {0}", data.ChangePersonCode);                  // 変更者コード
+                strcmd.AppendFormat(",ChangePersonName = '{0}'", data.ChangePersonName);                // 変更者名
                 
-                strcmd += string.Format(",BeforeValue = {0}", data.BeforeValue);                            // 変更前税抜受注金額
-                strcmd += string.Format(",BeforeValueInTax = {0}", data.BeforeValueInTax);                  // 　〃　税込受注金額
-                strcmd += string.Format(",AfterValue = {0}", data.AfterValue);                              // 変更後税抜受注金額
-                strcmd += string.Format(",AfterValueInTax = {0}", data.AfterValueInTax);                    // 　〃　税込受注金額
+                strcmd.AppendFormat(",BeforeValue = {0}", data.BeforeValue);                            // 変更前税抜受注金額
+                strcmd.AppendFormat(",BeforeValueInTax = {0}", data.BeforeValueInTax);                  // 　〃　税込受注金額
+                strcmd.AppendFormat(",AfterValue = {0}", data.AfterValue);                              // 変更後税抜受注金額
+                strcmd.AppendFormat(",AfterValueInTax = {0}", data.AfterValueInTax);                    // 　〃　税込受注金額
 
-                strcmd += string.Format(",ChangeComment = '{0}'", data.ChangeComment);                      // 変更理由
+                strcmd.AppendFormat(",ChangeComment = '{0}'", data.ChangeComment);                      // 変更理由
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -321,18 +324,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM OrdersPriceData", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM OrdersPriceData", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -382,56 +385,56 @@
         /// <returns></returns>
         public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE OrdersPriceData";
+                strcmd.Append("UPDATE OrdersPriceData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)TableColumn.ConstructionCode:         // 工事コード
-                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ChangeNo:	                // 変更番号
-                        strcmd += string.Format(" ChangeNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ChangeNo = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ChangeDate:	            // 変更日
-                        strcmd += string.Format(" ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.ChangePersonCode:         // 変更者コード
-                        strcmd += string.Format(" ChangePersonCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ChangePersonCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ChangePersonName:         // 変更者名
-                        strcmd += string.Format(" ChangePersonName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ChangePersonName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.BeforeValue:              // 変更前税抜受注金額
-                        strcmd += string.Format(" BeforeValue = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" BeforeValue = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.BeforeValueInTax:         // 　〃　税込受注金額
-                        strcmd += string.Format(" BeforeValueInTax = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" BeforeValueInTax = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.AfterValue:               // 変更後税抜受注金額
-                        strcmd += string.Format(" AfterValue = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" AfterValue = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.AfterValueInTax:          // 　〃　税込受注金額
-                        strcmd += string.Format(" AfterValueInTax = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" AfterValueInTax = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.ChangeComment:            // 変更理由
-                        strcmd += string.Format(" ChangeComment = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ChangeComment = '{0}'", value.ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(ConstructionCode);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -448,19 +451,19 @@
         /// <returns></returns>
         public string CreatePrimarykeyString(int ConstructionCode, int ChangeNo = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
+                strWork.AppendFormat(" WHERE ConstructionCode = {0}", ConstructionCode);
                 if (ChangeNo != 0)
-                    strWork += string.Format(" AND ChangeNo = {0}", ChangeNo);
+                    strWork.AppendFormat(" AND ChangeNo = {0}", ChangeNo);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -474,16 +477,16 @@
         public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(ChangeNo), 0) FROM OrdersPriceData" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(ChangeNo), 0) FROM OrdersPriceData{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -497,7 +500,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iRet;
         }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 252)
@@ -59,8 +59,6 @@
 
         #endregion
 
-        #region パブリックメソッド
-
         #region SELECT　SQL作成
         /// <summary>
         /// SQL作成
@@ -105,6 +103,7 @@
         }
         #endregion
 
+        #region 検索
         /// <summary>
         /// 検索
         /// </summary>
@@ -144,7 +143,9 @@
             }
 
         }
+        #endregion
 
+        #region 検索（1件）
         /// <summary>
         /// 検索（1件）
         /// </summary>
@@ -183,7 +184,9 @@
             }
 
         }
+        #endregion
 
+        #region 新規登録
         /// <summary>
         /// 新規登録
         /// </summary>
@@ -226,7 +229,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 新規登録（1件）
         /// <summary>
         /// 新規登録（1件）
         /// </summary>
@@ -274,7 +279,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 更新登録
         /// <summary>
         /// 更新登録
         /// </summary>
@@ -310,7 +317,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 削除
         /// <summary>
         /// 削除
         /// </summary>
@@ -335,8 +344,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 構造体設定
         /// <summary>
         /// 構造体設定
         /// </summary>
@@ -369,11 +379,9 @@
                 logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
-
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 行ロック
         /// <summary>
         /// 行ロック
         /// </summary>
@@ -402,7 +410,9 @@
 
 
         }
+        #endregion
 
+        #region 検索キー作成
         public string CreatePrimarykeyString(int CompanyCode, int TargetDate, int SeqNo, int LineCount, int ApprovalNo)
         {
             StringBuilder strWork = new StringBuilder();
